local constants = require("constants")
local util = require("utils")
local rpc = require("rpc")

local function broadcast(clientID, message)
	local payload = util.unit("poppyV002", clientID, message)
	for i, player in pairs(clients) do
		if i ~= clientID then
			server:sendto(payload, player.ip, player.port)
			print("<= " .. payload)
		end
	end
end


return function(commands)
	function commands.drawTexture(clientID, args)
		broadcast(clientID, util.unit("drawTexture", args))
	end
	function commands.deleteTexture(clientID, args)
		broadcast(clientID, util.unit("deleteTexture", args))
	end
	function commands.clearCanvas(clientID)
		broadcast(clientID, "clearCanvas")
	end
	function commands.fillCanvas(clientID, args)
		broadcast(clientID, util.unit("fillCanvas", args))
	end
end
