local constants = require("constants")
local util = require("utils")
local rpc = require("rpc")
require("compat")

return function(commands)
	function commands.moveUpdate(clientID, args)
		if not clients[clientID] then rpc.print("moveUpdate: invalid clientid [" .. clientID .. "]") return end
		local x, y, speedx, speedy = table.unpack(util.resolve(args))
		clients[clientID].x = x
		clients[clientID].y = y
		clients[clientID].speedx = speedx
		clients[clientID].speedy = speedy
		
		for i, player in pairs(clients) do
			if i ~= clientID then
				local payload = util.unit("poppyV002", clientID, "moveUpdate", x, y, speedx, speedy)
				server:sendto(payload, player.ip, player.port)
			end
		end
	end


	function commands.moveFlying(clientID, args)
		if not clients[clientID] then rpc.print("moveFlying: invalid clientid [" .. clientID .. "]") return end
		for i, player in pairs(clients) do
			local payload = util.unit("poppyV002", clientID, "moveFlying", args)
			server:sendto(payload, player.ip, player.port)
		end
	end
	
	
	function commands.deletePhysics(clientID, args)
		if not clients[clientID] then rpc.print("deletePhysics: invalid clientid [" .. clientID .. "]") return end
		for i, player in pairs(clients) do
			local payload = util.unit("poppyV002", clientID, "deletePhysics") .. constants.US .. args
			server:sendto(payload, player.ip, player.port)
		end
	end

	function commands.drawPhysics(clientID, args)
		if not clients[clientID] then rpc.print("drawPhysics: invalid clientid [" .. clientID .. "]") return end
		for i, player in pairs(clients) do
			local payload = util.unit("poppyV002", clientID, "drawPhysics") .. constants.US .. args
			server:sendto(payload, player.ip, player.port)
		end
	end
end
